# Speech Create

## POST /async/speech/create

> Queue a new asynchronous speech generation task for background processing and later retrieval.

```json
{"openapi":"3.0.3","info":{"title":"Distribute.AI API","version":"1.0.0"},"tags":[{"name":"async.speech","description":"Asynchronous task queuing operations."}],"servers":[{"url":"https://api.distribute.ai"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"authorization"}}},"paths":{"/async/speech/create":{"post":{"operationId":"asyncSpeechCreate","tags":["async.speech"],"description":"Queue a new asynchronous speech generation task for background processing and later retrieval.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","enum":["Chatterbox"]},"input":{"type":"string","minLength":2,"maxLength":4096},"voice":{"anyOf":[{"type":"string","enum":["leo","nora"],"default":"leo"},{"type":"string"}],"description":"One of default voices: leo, nora or a file_id with purpose voice."},"stream":{"type":"boolean","default":false},"temperature":{"type":"number","minimum":0,"maximum":1,"default":0.8},"exaggeration":{"type":"number","minimum":0,"maximum":1,"default":0.5},"cfg_weight":{"type":"number","minimum":0,"maximum":1,"default":0.5}},"required":["model","input"],"additionalProperties":false,"description":"Returns a unique ID for the asynchronous speech task, used to retrieve the generated result once processing is complete."}}},"required":true,"description":"Returns a unique ID for the asynchronous speech task, used to retrieve the generated result once processing is complete."},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.distribute.ai/distribute-for-enterprise/enterprise-inference-api/async-api/speech/speech-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
